# MethodResolver

class MethodResolver < T : Any > : InstanceAwareResolver < Method , T >

Resolving Method.

#### Parameters

self

the member to be resolved.

## Properties

self
Link copied to clipboard
open override val self : Method

## Functions

asResolver
Link copied to clipboard
fun MemberResolver <*, *>. asResolver (): MemberResolver <*, *>

This is a fake function call chains to avoid internal calls to themselves.

copy
Link copied to clipboard
open override fun copy (): MethodResolver < T >

Create a copy of this resolver.

invoke
Link copied to clipboard
@ JvmName (name = "invokeTyped")
fun < T > invoke (vararg args: Any ?): T ?
fun invoke (vararg args: Any ?): Any ?

Invoke the method with the given arguments.

invokeQuietly
Link copied to clipboard
@ JvmName (name = "invokeQuietlyTyped")
fun < T > invokeQuietly (vararg args: Any ?): T ?
fun invokeQuietly (vararg args: Any ?): Any ?

Invoke the method with the given arguments and ignore any exceptions.

of
Link copied to clipboard
open override fun of (instance: T ?): MethodResolver < T >

Set the instance of self.